Page MenuHomePhabricator

[HHVM] Get rid of class aliases
Closed, ResolvedPublic

Description


Version: unspecified
Severity: normal
Whiteboard: u=dev c=backend p=0

Details

Reference
bz71295

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:56 AM
bzimport set Reference to bz71295.
bzimport added a subscriber: Unknown Object (MLST).
aude added a comment.Sep 30 2014, 3:19 PM

now getting:

Fatal error: Argument 1 passed to Wikibase\TermSqlIndex::getTermsOfEntity() must be an instance of Wikibase\EntityId, Wikibase\DataModel\Entity\ItemId given in /srv/mediawiki/php-1.25wmf1/extensions/Wikidata/extensions/Wikibase/lib/includes/store/sql/TermSqlIndex.php on line 388

aude added a comment.Sep 30 2014, 6:18 PM

Sep 30 09:41:57 mw1017: #012Fatal error: Argument 3 passed to Wikibase\LabelDescriptionDuplicateDetector::detectTermConflicts() must be an instance of Wikibase\EntityId, Wikibase\DataModel\Entity\ItemId given in /srv/mediawiki/php-1.25wmf1/extensions/Wikidata/extensions/Wikibase/repo/includes/LabelDescriptionDuplicateDetector.php on line 85

After https://github.com/wmde/WikibaseDataModel/pull/237 and https://gerrit.wikimedia.org/r/#/c/166413/ are done, the only packages left with class_alias are data-values/geo and diff/diff. But these only get used in documentation and tests, so they should not make HHVM fail in production.

hashar updated the task description. (Show Details)Nov 25 2014, 2:40 PM
hashar added a project: HHVM.
hashar set Security to None.
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher closed this task as Resolved.Dec 15 2014, 2:39 PM
Lydia_Pintscher claimed this task.